IpRangeViewConstruct (CMDB Model API)
Keywords: com.collation.platform.model.gui.customviews.IpRangeViewConstruct interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.customviews
Interface IpRangeViewConstruct

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable, ViewConstruct

    public interface IpRangeViewConstruct

extends ViewConstruct

Represents a custom views

Naming Rules:
  0="startIp,endIp"
Persistable:
  true
Display Name:
  startIp,endIp

Method Summary
`java.lang.String` | `getEndIp()`
`java.lang.String` | `getStartIp()`
`boolean` | `hasEndIp()`
`boolean` | `hasStartIp()`
`void` | `setEndIp(java.lang.String endIp)`
`void` | `setStartIp(java.lang.String startIp)`

Methods inherited from interface com.collation.platform.model.gui.customviews.ViewConstruct
`getLevel, getName, hasLevel, hasName, setLevel, setName`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStartIp

    java.lang.String getStartIp()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### getEndIp

    java.lang.String getEndIp()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartIp

    void setStartIp(java.lang.String startIp)

### setEndIp

    void setEndIp(java.lang.String endIp)

### hasStartIp

    boolean hasStartIp()

### hasEndIp

    boolean hasEndIp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD